Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 974234 - [abrt] Crash in try_open_e_book_cb()
Summary: [abrt] Crash in try_open_e_book_cb()
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: evolution
Version: 6.4
Hardware: x86_64
OS: Unspecified
unspecified
medium
Target Milestone: rc
: ---
Assignee: Matthew Barnes
QA Contact: Desktop QE
URL:
Whiteboard: abrt_hash:011dfb966a6b93f1fc9f6d87d82...
Depends On: 974647
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-13 18:29 UTC by David Jaša
Modified: 2014-01-02 09:07 UTC (History)
4 users (show)

Fixed In Version: evolution-2.32.3-7.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-11-21 04:52:57 UTC
Target Upstream Version:


Attachments (Terms of Use)
full bt by abrt (53.85 KB, text/plain)
2013-06-13 18:31 UTC, David Jaša
no flags Details
evo patch (3.30 KB, patch)
2013-06-14 17:39 UTC, Milan Crha
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
GNOME Bugzilla 557613 0 None None None Never
Red Hat Product Errata RHSA-2013:1540 0 normal SHIPPED_LIVE Low: evolution security, bug fix, and enhancement update 2013-11-21 00:40:51 UTC

Description David Jaša 2013-06-13 18:29:24 UTC
Description of problem:
evo crashed shortly after resume from s3 sleep.

Version-Release number of selected component:
evolution-2.32.3-1.el6

Additional info:
libreport version: 2.0.9
abrt_version:   2.0.8
backtrace_rating: 4
cmdline:        evolution -c mail
crash_function: g_error_free
kernel:         2.6.32-358.el6.x86_64

truncated backtrace:
:Thread no. 1 (8 frames)
: #0 g_error_free at gerror.c
: #1 g_clear_error at gerror.c
: #2 try_open_e_book_cb at em-utils.c
: #3 open_reply at e-book.c
: #4 reply_cb at gdbusproxy.c
: #5 g_dbus_connection_call_done at gdbusconnection.c
: #6 complete_in_idle_cb at gsimpleasyncresult.c
: #11 IA__gtk_main at gtkmain.c

Comment 1 David Jaša 2013-06-13 18:30:58 UTC
abrt failed to attach the bt so I'll attach it manually.

Comment 2 David Jaša 2013-06-13 18:31:39 UTC
Created attachment 760890 [details]
full bt by abrt

Comment 3 Milan Crha 2013-06-14 15:27:34 UTC
Quite similar upstream bug report comment, though without any patch:
https://bugzilla.gnome.org/show_bug.cgi?id=557613#c104

The other patches attached on that bug are already part of 2.32.3.

Comment 4 Milan Crha 2013-06-14 17:39:30 UTC
Created attachment 761386 [details]
evo patch

for evolution;

This makes it work. My reproducer was slightly complicated, because I cheated an LDAP backend, by waiting in its e_book_backend_ldap_load_source() for 5 secodns, which was enough time to switch to other email in evolution's UI.

Prerequisities:
- have configured one LDAP book, which is set for autocompletion
  in Edit->Preferences->Contacts
- have in Edit->Preferences->Mail Preferences->Headers:
  [x] Show the photograph of sender in the message preview
  [ ] Search for sender photograph only in local addressbooks
- have patch from bug #974647
- have enabled message preview

Steps:
a) make sure no e-addressbook-factory is running
b) run the factory under gdb like this (answer 'y' on the question):
   $ gdb /usr/libexec/e-addressbook-factory \
       --ex "b e_book_backend_ldap_load_source" --ex "r -w"
c) once it writes "Server is up and running" switch to another console
   and run evolution in mailer:
   $ evolution -c mail
d) select a message to view, see a gdb prompt on the factory console
e) select different message, from someone else (that causes cancel of
   the pending request)
f) let gdb continue:
   (gdb) c
g) see evolution crashing down in couple seconds

Comment 11 errata-xmlrpc 2013-11-21 04:52:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1540.html


Note You need to log in before you can comment on or make changes to this bug.